package keystash.command;

import java.util.ArrayList;
import static keystash.command.Constants.*;

public class Filter {

    public static boolean optionInput(String option) {

        ArrayList<String> optionArray = new ArrayList<>();

        ArrayList<String> helpArray = new ArrayList<>();
        for (int i = 0; i < countOptions(); i++) {
            optionArray.add(listOption(i));
        }

        boolean isValidOption = false;
        if (optionArray.contains(option)) {
            isValidOption = true;
        }
        return isValidOption;

    }

    public static void helpOutput() {

        System.out.printf("%-15s %n", "Usage:");
        System.out.printf("%-15s %n", "[help]");
        System.out.printf("%-15s %n", "[options] <command>");
        System.out.println("");
        System.out.printf("%-15s %n", "Options:");

        ArrayList<String> helpArray = new ArrayList<>();
        for (int i = 0; i < countOptions(); i++) {
            helpArray.add(listOption(i));
            helpArray.add(listHelp(i));
        }

        for (int i = 0; i < helpArray.size();) {
            System.out.printf("%-25s %5s %n", helpArray.get(i), helpArray.get(i + 1));
            i += 2;
        }

    }

}
